Redmine - Defect #43164

Deleting role that used by many projects raises CookieOverflow error

2025-08-27 11:12 - Kenta Kumojima

Status: Closed
Priority: Normal
Assignee:

Category: Administration

Target version:

Resolution: Fixed

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

Deleting role that used by many projects (in my environment, it is used in 30 projects) raises

ActionDispatch::Cookies::CookieOverflow.
The flash message is too long to store session.

# app/controllers/roles_controller.rb
def destroy

flash[:error] += 1l (:error_can_not_remove_role_reason_members_html, projects: links)

end

ActionDispatch::Cookies: :CookieOverflow
(_redmine_session cookie overflowed with size 4206 bytes):

lib/action_dispatch/middleware/cookies.rb:612:in "“check_for_overflow!'
lib/action_dispatch/middleware/cookies.rb:694:in "~ commit'
lib/action_dispatch/middleware/cookies.rb:530:in *[]="
lib/action_dispatch/middleware/session/cookie_store.rb:117:in " set_cookie'

It is better to use flash.now instead of flash.

Related issues:
Related to Redmine - Feature #42441: Improve error message on role deletion b...
Related to Redmine - Defect #43174: CookieOverflow error when deleting a trac...

Closed
New

Associated revisions

Revision 23933 - 2025-08-30 08:38 - Go MAEDA

Fix CookieOverflow error when deleting a role used by many projects (#42441, #43164).

Patch by Kenta Kumojima (user:kumojima).

History

#1 - 2025-08-29 04:13 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 6.1.0

Thank you for posting the fix. | will commit this fix as a part of #42441.

#2 - 2025-08-29 04:14 - Go MAEDA
- Target version deleted (6.1.0)

#3 - 2025-08-30 08:50 - Go MAEDA

- Related to Feature #42441: Improve error message on role deletion by listing projects using the role added

#4 - 2025-08-30 08:52 - Go MAEDA

- Status changed from Confirmed to Closed
https://www.redmine.org/issues/42441

- Resolution set to Fixed

Committed the fix in 123933, as a part of #42441. Thank you for your contribution.

#5 - 2025-08-30 09:08 - Go MAEDA
- Related to Defect #43174: CookieOverflow error when deleting a tracker used by many projects added
fix_destroy_role.patch 2.22 KB 2025-08-27 Kenta Kumojima
